zenilib: zenilib/jni/external/sdl/src/video/windows/SDL_windowsvideo.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
SDL_windowsvideo.h File Reference
`#include "SDL_config.h"`
`#include "../SDL_sysvideo.h"`
`#include "../../core/windows/SDL_windows.h"`
`#include "SDL_msctf.h"`
`#include <imm.h>`
`#include "SDL_windowsclipboard.h"`
`#include "SDL_windowsevents.h"`
`#include "SDL_windowskeyboard.h"`
`#include "SDL_windowsmodes.h"`
`#include "SDL_windowsmouse.h"`
`#include "SDL_windowsopengl.h"`
`#include "SDL_windowswindow.h"`
`#include "SDL_events.h"`
`#include "SDL_loadso.h"`

Go to the source code of this file.

## Classes

struct | SDL_VideoData
struct | tagINPUTCONTEXT2
struct | TSFSink

## Macros

#define | MAX_CANDLENGTH 256
#define | MAX_CANDLIST 10

## Typedefs

typedef struct IDirect3D9 | IDirect3D9
typedef struct tagINPUTCONTEXT2 | INPUTCONTEXT2
typedef struct tagINPUTCONTEXT2 * | LPINPUTCONTEXT2
typedef struct tagINPUTCONTEXT2 * | NPINPUTCONTEXT2
typedef void(* | PFCoordTransform )(SDL_Window *, POINT *)
typedef BOOL(* | PFNSHFullScreen )(HWND, DWORD)
typedef struct tagINPUTCONTEXT2 * | PINPUTCONTEXT2
typedef struct SDL_VideoData | SDL_VideoData

## Functions

SDL_bool | D3D_LoadDLL (void **pD3DDLL, IDirect3D9 **pDirect3D9Interface)

## Macro Definition Documentation

#define MAX_CANDLENGTH 256

Definition at line 39 of file SDL_windowsvideo.h.

#define MAX_CANDLIST 10

Definition at line 38 of file SDL_windowsvideo.h.

## Typedef Documentation

typedef struct IDirect3D9 IDirect3D9

Definition at line 174 of file SDL_windowsvideo.h.

typedef struct tagINPUTCONTEXT2 INPUTCONTEXT2

typedef struct tagINPUTCONTEXT2* LPINPUTCONTEXT2

typedef struct tagINPUTCONTEXT2* NPINPUTCONTEXT2

typedef void(* PFCoordTransform)(SDL_Window *, POINT *)

Definition at line 79 of file SDL_windowsvideo.h.

typedef BOOL(* PFNSHFullScreen)(HWND, DWORD)

Definition at line 78 of file SDL_windowsvideo.h.

typedef struct tagINPUTCONTEXT2 * PINPUTCONTEXT2

typedef struct SDL_VideoData SDL_VideoData

## Function Documentation

SDL_bool D3D_LoadDLL | ( | void ** | pD3DDLL,
|  | IDirect3D9 ** | pDirect3D9Interface
| ) |  |